<?php

class skilifte
{

    public function init($content, $conf)
    {
        $lang_id = $GLOBALS['TSFE']->sys_language_uid;
        switch ($lang_id) {
            case '1':
                $title = 'facilities reports';
                $lastup = 'Last update: ';
                $uhr = '';
                break;
            case '0';
            default:
                $title = 'Anlagenbericht';
                $lastup = 'Letztes Update: ';
                $uhr = ' Uhr';
                break;
        }
//Offene Skilifte
        if (!function_exists('isit')) {
            function isit($lift, $open)
            {
                if (in_array($lift, $open)) {
                    $is = 'offen';
                }
                return ($is);
            }
        }
        if (isset($conf['homeBox'])) {
            $bodytext = '<span class="anlageninfo">Der aktuelle Status unserer Skilifte und des Schlittelweges.<br></span>';
        } else {
            $bodytext = '';
        }
        $check = fopen('fileadmin/csv/skilifte.txt', r);
        $open = fread($check, filesize('fileadmin/csv/skilifte.txt'));
        $open = explode(',', $open);
        fclose($check);
        $update = date("d.m.y - H:i", filemtime('fileadmin/csv/skilifte.txt'));

        $content = '<h3>' . $title . '<span class="menu_toggler footer"></span></h3>
			<div class="footer_show">' . $bodytext . '
				<p class="lastupdate">' . $lastup . $update . $uhr . '</p>
				<div class="skilifte ' . isit('Schlittelbahn', $open) . '">Schlittelweg</div>
				<div class="skilifte ' . isit('Heuberglift', $open) . '">Heuberglift</div>
				<div class="skilifte ' . isit('Gadieris-Lift', $open) . '">Gadieris-Lift</div>
				<div class="skilifte ' . isit('Gamslift', $open) . '">Gamslift</div>
				<div class="skilifte ' . isit('Kinderlift', $open) . '">Kinderlift</div>
				<div class="skilifte ' . isit('Arflina', $open) . '">Berghaus Arflina</div>
				<div class="skilifte ' . isit('Heuberge', $open) . '">Berghaus Heuberge</div>
			</div>
		';
        if (isset($conf['homeBox'])) {
            $content = '<div class="tx-dce-pi1 skilifthome">
				<div class="homebox wrap">	
					' . $content . '
				</div>
			</div>';
        }

        return $content;
    }
}

?>